List all leases
Query Parameters
state?string
Return only leases in this state. Omit for all states. expired — the archived state for a lease whose escrow window closed with neither side settling — is also accepted, though the node's own rejection message lists only the other five.
Value in
"created" | "accepted" | "settled" | "cancelled" | "unfulfilled" | "expired"offset?integer
Default
0Range
0 <= valuelimit?integer
Page size. Capped at 1000.
Default
100Range
1 <= value <= 1000Response Body
application/json
application/json
curl -X GET "https://ldn.core.test.network/leases"[
{
"lease_hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
"state": "created",
"consumer": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
"provider": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
"vcpus": 0,
"memory_mb": 0,
"disk_gb": 0,
"duration": 0,
"access_pub_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
"cost": 960000,
"stake": 192000,
"start_time": 0,
"certificate_hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
"settled": true,
"locked_r": 0,
"locked_payout_cap": 0,
"locked_twap_milli": 0
}
]{
"error": "invalid signature"
}